List Developer Messaging Sources
/api/v1/developer/messaging/sourcesUse the access scope below. The generated schemas specify the exact request and responses.
Access scopemessaging.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
limitoptional · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursoroptional · querystringminLength: 1 · maxLength: 2048JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 2048 }expectedProjectIdoptional · querystringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Request examples
curl 'https://YOUR_NOVA_HOST/api/v1/developer/messaging/sources?limit=50' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Bounded source catalog
application/jsonobject
projectIdrequired- string
sourcesrequired- array
Nested schema
arrayobjectidrequired- string
namerequired- string
providerTyperequired- string
activerequired- boolean
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string" }, "name": { "type": "string" }, "providerType": { "type": "string" }, "active": { "type": "boolean" } }, "required": [ "id", "name", "providerType", "active" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string" }, "name": { "type": "string" }, "providerType": { "type": "string" }, "active": { "type": "boolean" } }, "required": [ "id", "name", "providerType", "active" ] } } nextCursorrequired- string | null
JSON Schema
{
"type": "object",
"properties": {
"projectId": {
"type": "string"
},
"sources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"providerType": {
"type": "string"
},
"active": {
"type": "boolean"
}
},
"required": [
"id",
"name",
"providerType",
"active"
]
}
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"projectId",
"sources",
"nextCursor"
],
"$ref": "#/components/schemas/DeveloperMessagingSourcesResponse"
}400 Invalid cursor or project
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Module unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Ingress rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
],
"$ref": "#/components/schemas/ProblemDetails"
}503 Ingress rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
],
"$ref": "#/components/schemas/ProblemDetails"
}